//	A1.8.- lcd
//	Autores: Jess Mara Corres, Carlos Ruiz Zamarreo y Cndido Bariin
//	Pamplona, Agosto 2016

/* Escribe un byte en la pantalla LCD en modo 4 bits */

extern void lcd_write(unsigned char);

/* Limpia la pantalla LCD */

extern void lcd_clear(void);

/* Escribe una cadena de caracteres en la pantalla LCD */

extern void lcd_puts(const char * s);

/* Posiciona el cursor en la posicin indicada */

extern void lcd_goto(unsigned char pos);
	
/* Inicializa la pantalla LCD  utilizar anter de cualquier otra funcin */

extern void lcd_init(void);

/* Escribe en la pantalla LCD el carcter cuyo cdigo ASCII se indica */


extern void lcd_putch(char);

/*	Establece la posicin del cursor */

#define	lcd_cursor(x)	lcd_write(((x)&0x7F)|0x80)