//	A1.4.- ccp
//	Autores: Jess Mara Corres, Carlos Ruiz Zamarreo y Cndido Bariin
//	Pamplona, Agosto 2016

// CONSTANTES, MACROS Y FUNCIONES PARA LOS MODULOS CCP

#define CCP_OFF			0x00
#define	CCP_CAPTURE_FE		0x04
#define	CCP_CAPTURE_RE		0x05
#define	CCP_CAPTURE_DIV4	0x06
#define	CCP_CAPTURE_DIV16	0x07
#define	CCP_COMPARE_RISE	0x08
#define	CCP_COMPARE_FALL	0x09
#define	CCP_COMPARE_INT	0x0A
#define	CCP_COMPARE_SPECIAL	0x0B
#define	CCP_PWM			0x0C

#define	setup_ccp1(value)	CCP1CON=value
#define set_pwm1_duty(value)	CCPR1L=(value>>2);	\
					CCP1CON=(CCP1CON&0xCF)|((value&0x0003)<<4)
#define	get_ccp1(value)	CCPR1
#define set_ccp1(value)	CCPR1=value
#define	setup_ccp2(value)	CCP2CON=value
#define set_pwm2_duty(value)	CCPR2L=(value>>2);	\
					CCP2CON=(CCP2CON&0xCF)|((value&0x0003)<<4)
#define	get_ccp2(value)	CCPR2
#define set_ccp2(value)	CCPR2=value