#include <htc.h>
#include "i2c.h"

// Gets a byte from the I2C slave selected
unsigned char	TC74_i2c_receive(){
	unsigned char temp=0;
	i2c_start();
	if(i2c_write(ADDRESS+READ)==0){
	return 0;
	}
	temp=i2c_read();
	i2c_sendnack();
	i2c_stop();
	return temp;
}

// Gets a byte from the I2C slave ADDRESS

signed char	TC74_i2c_readbyte(unsigned char add, unsigned char dato){
	signed char temp=0;
	i2c_start();
	if(i2c_write(add+WRITE)==0){
		return 0;
	}
	if(i2c_write(dato)==0){
	return 0;
	}
	i2c_restart();
	if(i2c_write(add+READ)==0){
	return 0;
	}
	temp=i2c_read();
	i2c_sendnack();
	i2c_stop();
	return temp;
}